%define url_ver %(echo %{version}|cut -d. -f1,2)

%define api 0.1
%define major 2
%define libname %mklibname gxps %{major}
%define girname %mklibname gxps-gir %{api}
%define devname %mklibname gxps -d

Summary:	GObject based library for handling and rendering XPS documents
Name:		libgxps
Version:	0.2.2
Release:	4
License:	LGPLv2.1+
Group:		System/Libraries
Url:		http://www.gnome.org/
Source0:	http://download.gnome.org/sources/libgxps/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		libgxps-0.2.1_linking.patch
BuildRequires:	gtk-doc
BuildRequires:	jpeg-devel
BuildRequires:	tiff-devel
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(cairo-pdf)
BuildRequires:	pkgconfig(cairo-ps)
BuildRequires:	pkgconfig(cairo-svg)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(libpng)

%description
libgxps is a GObject based library for handling and rendering XPS documents.
This package contains various tools used by libgxps.

%files
%{_bindir}/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Libraries for libgxps
Group:		System/Libraries

%description -n %{libname}
libgxps is a GObject based library for handling and rendering XPS documents.

%files -n %{libname}
%{_libdir}/libgxps.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface library for libgxps
Group:		System/Libraries

%description -n %{girname}
GObject Introspection interface library for libgxps.

%files -n %{girname}
%{_libdir}/girepository-1.0/GXPS-%{api}.typelib

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development libraries, header files and utilities for libgxps
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{EVRD}
Requires:	%{libname} = %{EVRD}
Requires:	%{girname} = %{EVRD}

%description -n %{devname}
libgxps is a GObject based library for handling and rendering XPS documents.

This package contains the files necessary to develop applications with libgxps.

%files -n %{devname}
%doc README COPYING AUTHORS NEWS
%{_datadir}/gtk-doc/html/%{name}
%{_datadir}/gir-1.0/*.gir
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches
autoreconf -fi

%build
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std


%changelog
* Sat Jul 12 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.2.2-4
+ Revision: 1f7297f
- Spec cleanup


